USE [Database]

IF OBJECT_ID('[Procedures].[update_price_history_record]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[update_price_history_record];
GO
CREATE PROCEDURE [Procedures].[update_price_history_record]
  @price_history_record_id AS INT,
  @product_id              AS INT,
  @datetime                AS DATETIME,
  @price                   AS MONEY
AS
  UPDATE [Tables].[price_history_records]
  SET
   [product_id] = @product_id,
   [datetime] = @datetime,  
   [price] = @price
  WHERE [id] = @price_history_record_id;
GO